Name:		ftjam
Version:	2.5.3rc2
Release:	%mkrel 0.21
Summary:	Replacement for make
License:	BSD-like
Group:		Development/Other
URL:		https://www.freetype.org/jam/index.html
Source0:	https://downloads.sourceforge.net/freetype/%{name}-%{version}.tar.bz2
Patch0:		ftjam-2.5.3-nostrip.patch
Patch1:		ftjam-2.5.3-false-flags.patch
Patch2:		ftjam-2.5.3-fix-building-with-gcc14.patch
Obsoletes:	jam
Provides:	jam
BuildRequires:	byacc
BuildRequires:	dos2unix

%description
We highly recommend that you use FT Jam as it is 100% backwards compatible with
classic Jam and can be used as a plug-in replacement for it.

Alternatively, FT Jam exists because Perforce hadn't the time to update Jam in
a very long time, and we still hope that these improvements will be integrated
back to classic Jam as soon as possible.

%prep
%autosetup -p1

# fix CRLF
dos2unix README RELNOTES Porting

%build
export CCFLAGS="%{optflags}" LINKFLAGS="%{ldflags}"
%configure
%make_build

%install
%make_install

%files
%doc *.html README RELNOTES Porting
%{_bindir}/jam


%changelog
* Thu Oct 03 2024 ns80 <ns80> 2.5.3rc2-0.21.mga10
+ Revision: 2102955
- fix building with GCC 14

* Sat May 14 2022 wally <wally> 2.5.3rc2-0.20.mga9
+ Revision: 1858060
- remove unneeded boost-jam conflicts
- clean description

* Thu Mar 17 2022 umeabot <umeabot> 2.5.3rc2-0.19.mga9
+ Revision: 1797491
- Mageia 9 Mass Rebuild

* Sun Aug 23 2020 joequant <joequant> 2.5.3rc2-0.18.mga8
+ Revision: 1618127
- bump
- remove arm64 workaround

* Thu Feb 13 2020 umeabot <umeabot> 2.5.3rc2-0.17.mga8
+ Revision: 1512358
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.5.3rc2-0.16.mga7
+ Revision: 1297797
- Mageia 7 Mass Rebuild

* Thu Jun 07 2018 wally <wally> 2.5.3rc2-0.15.mga7
+ Revision: 1235210
- fix build on aarch64

* Sun Aug 27 2017 daviddavid <daviddavid> 2.5.3rc2-0.14.mga7
+ Revision: 1148392
- add a rosa patch to honor user C(XX)FLAGS thus fixing empty debugsourcefiles.list

* Sat Feb 06 2016 umeabot <umeabot> 2.5.3rc2-0.13.mga6
+ Revision: 940971
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.5.3rc2-0.12.mga5
+ Revision: 741699
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5.3rc2-0.11.mga5
+ Revision: 679373
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.5.3rc2-0.10.mga4
+ Revision: 504657
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.5.3rc2-0.9.mga3
+ Revision: 350975
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 fwang <fwang> 2.5.3rc2-0.8.mga3
+ Revision: 333746
- fix dos2unix usage

* Fri Mar 11 2011 stormi <stormi> 2.5.3rc2-0.8.mga1
+ Revision: 68054
- imported package ftjam


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 2.5.3rc2-0.7mdv2011.0
+ Revision: 605219
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 2.5.3rc2-0.6mdv2010.1
+ Revision: 522677
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.5.3rc2-0.5mdv2010.0
+ Revision: 424484
- rebuild

* Fri May 22 2009 Jérôme Brenier <incubusss@mandriva.org> 2.5.3rc2-0.4mdv2010.0
+ Revision: 378768
- revert the license to BSD-like

* Fri May 22 2009 Jérôme Brenier <incubusss@mandriva.org> 2.5.3rc2-0.3mdv2010.0
+ Revision: 378602
- use %%configure2_5x
- fix CRLF in 3 files (and add dos2unix BR)
- fix license (BSD : BSD License (no advertising))

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.5.3rc2-0.2mdv2008.1
+ Revision: 140731
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Emmanuel Andry <eandry@mandriva.org> 2.5.3rc2-0.2mdv2008.0
+ Revision: 90604
- obsoletes jam

* Tue Sep 18 2007 Emmanuel Andry <eandry@mandriva.org> 2.5.3rc2-0.1mdv2008.0
+ Revision: 89872
- disable obsolete jam for testing
- Import ftjam

